<x-leenooks::form.base {{ $attributes }}>
	<input type="hidden" id="{{ $name }}_disabled" name="{{ $name }}" value="" disabled>
	<select class="form-control @error($name) is-invalid @enderror" id="{{ $id }}" name="{{ $name }}">
		@if(isset($addvalues) && $addvalues)
			<option id="new"></option>
		@endif

		@empty($groupby)
			@foreach($options as $option)
				@continue(! Arr::get($option,'value'))
				<option value="{{ Arr::get($option,'id') }}" @selected(Arr::get($option,'id') == old($name,$value ?? ''))>{{ Arr::get($option,'value') }}</option>
			@endforeach
		@else
			@foreach($options->groupBy($groupby) as $group)
				<optgroup label="{{ $groupby == 'active' ? (Arr::get($group->first(),$groupby) ? 'Active' : 'Not Active') : Arr::get($group->first(),$groupby) }}">
					@foreach($group as $option)
						@continue(! Arr::get($option,'value'))
						<option value="{{ Arr::get($option,'id') }}" @selected(Arr::get($option,'id') == old($old,$value ?? ''))>{{ Arr::get($option,'value') }}</option>
					@endforeach
				</optgroup>
			@endforeach
		@endempty
	</select>
</x-leenooks::form.base>

@section('page-scripts')
	@css(select2)
	@js(select2,autofocus)

	<script type="text/javascript">
		// Select doesnt support read only so we'll use disable and a new field
		function {{$id}}_readonly(on) {
			if (on) {
				$('#{{ $name }}').prop('disabled',true);
				$('#{{ $name }}_disabled').prop('disabled',false).val($('#{{ $name }}').val());

			} else {
				$('#{{ $name }}').prop('disabled',false);
				$('#{{ $name }}_disabled').prop('disabled',true);
			}
		}

		$(document).ready(function() {
			$('#{{ $id }}').select2({
				dropdownAutoWidth: true,
				width: 'style',
				@isset($addvalues)
				tags: true,
				placeholder: '',
				allowClear: true,
				@endisset
			});
		});
	</script>
@append